<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RecordAtom (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecordAtom (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecordAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/Record.html" title="class in org.apache.poi.hslf.record"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/RecordAtom.html" target="_top">Frames</a></li>
        <li><a href="RecordAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.Record">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class RecordAtom" class="title">Class RecordAtom</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.record.RecordAtom</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/record/AnimationInfoAtom.html"
                           title="class in org.apache.poi.hslf.record">AnimationInfoAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html"
                            title="class in org.apache.poi.hslf.record">ColorSchemeAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/Comment2000Atom.html"
                            title="class in org.apache.poi.hslf.record">Comment2000Atom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/CString.html"
                            title="class in org.apache.poi.hslf.record">CString</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/DocumentAtom.html"
                            title="class in org.apache.poi.hslf.record">DocumentAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExControlAtom.html"
                            title="class in org.apache.poi.hslf.record">ExControlAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                            title="class in org.apache.poi.hslf.record">ExEmbedAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExHyperlinkAtom.html"
                            title="class in org.apache.poi.hslf.record">ExHyperlinkAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExMediaAtom.html"
                            title="class in org.apache.poi.hslf.record">ExMediaAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExObjListAtom.html"
                            title="class in org.apache.poi.hslf.record">ExObjListAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExObjRefAtom.html"
                            title="class in org.apache.poi.hslf.record">ExObjRefAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                            title="class in org.apache.poi.hslf.record">ExOleObjAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
                            title="class in org.apache.poi.hslf.record">FontEntityAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
                            title="class in org.apache.poi.hslf.record">HeadersFootersAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/InteractiveInfoAtom.html"
                            title="class in org.apache.poi.hslf.record">InteractiveInfoAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/MasterTextPropAtom.html"
                            title="class in org.apache.poi.hslf.record">MasterTextPropAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/NotesAtom.html"
                            title="class in org.apache.poi.hslf.record">NotesAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/OEPlaceholderAtom.html"
                            title="class in org.apache.poi.hslf.record">OEPlaceholderAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/OutlineTextRefAtom.html"
                            title="class in org.apache.poi.hslf.record">OutlineTextRefAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordAtom.html"
                            title="class in org.apache.poi.hslf.record">PositionDependentRecordAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/PPDrawing.html"
                            title="class in org.apache.poi.hslf.record">PPDrawing</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/PPDrawingGroup.html"
                            title="class in org.apache.poi.hslf.record">PPDrawingGroup</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/RoundTripHFPlaceholder12.html"
                            title="class in org.apache.poi.hslf.record">RoundTripHFPlaceholder12</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/SlideAtom.html"
                            title="class in org.apache.poi.hslf.record">SlideAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/SlidePersistAtom.html"
                            title="class in org.apache.poi.hslf.record">SlidePersistAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/SoundData.html"
                            title="class in org.apache.poi.hslf.record">SoundData</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html"
                            title="class in org.apache.poi.hslf.record">SSSlideInfoAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/StyleTextProp9Atom.html"
                            title="class in org.apache.poi.hslf.record">StyleTextProp9Atom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/StyleTextPropAtom.html"
                            title="class in org.apache.poi.hslf.record">StyleTextPropAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/TextBytesAtom.html"
                            title="class in org.apache.poi.hslf.record">TextBytesAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/TextCharsAtom.html"
                            title="class in org.apache.poi.hslf.record">TextCharsAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/TextHeaderAtom.html"
                            title="class in org.apache.poi.hslf.record">TextHeaderAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/TextRulerAtom.html"
                            title="class in org.apache.poi.hslf.record">TextRulerAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/TextSpecInfoAtom.html"
                            title="class in org.apache.poi.hslf.record">TextSpecInfoAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/TxInteractiveInfoAtom.html"
                            title="class in org.apache.poi.hslf.record">TxInteractiveInfoAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/TxMasterStyleAtom.html"
                            title="class in org.apache.poi.hslf.record">TxMasterStyleAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/UnknownRecordPlaceholder.html"
                            title="class in org.apache.poi.hslf.record">UnknownRecordPlaceholder</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/VBAInfoAtom.html"
                            title="class in org.apache.poi.hslf.record">VBAInfoAtom</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">RecordAtom</span>
extends <a href="../../../../../org/apache/poi/hslf/record/Record.html" title="class in org.apache.poi.hslf.record">Record</a></pre>
                <div class="block">Abstract class which all atom records will extend.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Nick Burch</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#RecordAtom--">RecordAtom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#getChildRecords--">getChildRecords</a></span>()</code>
                                    <div class="block">We're an atom, returns null</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#isAnAtom--">isAnAtom</a></span>()</code>
                                    <div class="block">We are an atom</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="RecordAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RecordAtom</h4>
                                <pre>public&nbsp;RecordAtom()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isAnAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isAnAtom</h4>
                                <pre>public&nbsp;boolean&nbsp;isAnAtom()</pre>
                                <div class="block">We are an atom</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#isAnAtom--">isAnAtom</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChildRecords--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getChildRecords</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                    title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;getChildRecords()</pre>
                                <div class="block">We're an atom, returns null</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#getChildRecords--">getChildRecords</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecordAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/Record.html" title="class in org.apache.poi.hslf.record"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/RecordAtom.html" target="_top">Frames</a></li>
        <li><a href="RecordAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.Record">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
